Bug 37006 - Monitoring of connectors
Monitoring of connectors
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 4.0
Other Linux
: P5 enhancement (vote)
: UCS 4.1-0-errata
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on:
Blocks: 37007 40345
  Show dependency treegraph
 
Reported: 2014-11-25 15:50 CET by Jan Christoph Ebersbach
Modified: 2015-12-28 16:15 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Roadmap discussion (moved)
Max CVSS v3 score:


Attachments
nagios-connector.png (111.13 KB, image/png)
2015-12-08 09:29 CET, Stefan Gohmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Christoph Ebersbach univentionstaff 2014-11-25 15:50:29 CET
Currently, S4 connector and AD connector aren't monitored by Nagios.  Since problems with these connectors, especially rejected objects, could cause unexpected and difficult to identify behaviour they should be monitored and reported to the Administrator.
Comment 1 Tim Petersen univentionstaff 2015-07-28 07:50:16 CEST
bumped to 4.0
Comment 2 Michael Grandjean univentionstaff 2015-11-05 20:54:31 CET
Requested during workshop.
Comment 3 Arvid Requate univentionstaff 2015-11-05 22:12:02 CET
For the AD connector we already have a plugin univention-nagios-ad-connector.
Comment 4 Stefan Gohmann univentionstaff 2015-11-25 07:44:13 CET
(In reply to Arvid Requate from comment #3)
> For the AD connector we already have a plugin univention-nagios-ad-connector.

Please provide a similar package for the S4 connector.
Comment 5 Felix Botner univentionstaff 2015-11-26 13:04:34 CET
univention-nagios-s4-connector:
new package with nagios plugin to check the state of the s4 connector
 * returns OK if connector/s4/autostart is not true
 * returns CTRITICAL if univention-s4search fails
 * returns CTRITICAL if connector is not running
 * returns WARNING if rejects exists
YAML: 2015-11-26-univention-nagios-s4-connector.yaml

univention-s4-connector:
added univention-nagios-s4-connector as Recommends
2015-11-26-univention-s4-connector.yaml

!!! announce univention-nagios-s4-connector before univention-s4-connector !!!

univention-dvd:
added univention-nagios-s4-connector to univention-dvd/tasks/ucs410/task-ucs410

added to univention-nagios-s4-connector triggers/ucs_4.1-0.txt
Comment 6 Felix Botner univentionstaff 2015-11-26 13:09:23 CET
renamed YAML files to

univention-nagios-s4-connector.yaml
univention-s4-connector.yaml
Comment 7 Stefan Gohmann univentionstaff 2015-12-08 09:28:48 CET
It basically works but you don't use NRPE. Thus, the checks are always executed on the Master which doesn't make sense. See attached screenshot.
Comment 8 Stefan Gohmann univentionstaff 2015-12-08 09:29:22 CET
Created attachment 7351 [details]
nagios-connector.png
Comment 9 Felix Botner univentionstaff 2015-12-09 09:31:10 CET
fixed in univention-nagios-s4-connector 1.0.0-3.3.201512090901
Comment 10 Stefan Gohmann univentionstaff 2015-12-15 05:13:13 CET
OK, it works now.